EC
errcodes.dev
HTTP
PostgreSQL
Linux
Python
Docker
21 languages · 7,377+ codes
errcodes.dev
/
Bash
$
Bash Exit Codes
Bash 5.x
36 codes
Exit codes, signals, set -e, pipefail and shell errors
All severities
INFO
ERROR
WARNING
CRITICAL
All tiers
Common
Notable
Critical
Showing
36
of
36
errors
Code
Message
Severity
Tier
0
Success
INFO
→
1
General error
ERROR
Notable
→
2
Misuse of shell builtins
ERROR
Notable
→
126
Command not executable
ERROR
Critical
→
127
Command not found
ERROR
Notable
→
128
Invalid argument to exit
ERROR
Common
→
130
Script terminated by Control-C (SIGINT)
WARNING
Common
→
137
Process killed (SIGKILL)
CRITICAL
→
139
Segmentation fault (SIGSEGV)
CRITICAL
→
141
Broken pipe (SIGPIPE)
INFO
Common
→
143
Terminated (SIGTERM)
WARNING
Notable
→
1
Permission denied
ERROR
Critical
→
1
No such file or directory
ERROR
Notable
→
1
Unbound variable
ERROR
Critical
→
2
Syntax error
ERROR
Notable
→
124
Command timed out
ERROR
Notable
→
125
Command cannot be run by timeout
ERROR
Notable
→
129
Hangup (SIGHUP)
WARNING
Notable
→
131
Quit and core dump (SIGQUIT)
CRITICAL
Critical
→
132
Illegal instruction (SIGILL)
CRITICAL
→
134
Abort (SIGABRT)
CRITICAL
→
135
Bus error (SIGBUS)
CRITICAL
→
136
Floating-point exception (SIGFPE)
CRITICAL
Critical
→
138
User-defined signal 1 (SIGUSR1)
INFO
Common
→
140
User-defined signal 2 (SIGUSR2)
INFO
Common
→
142
Alarm clock (SIGALRM)
WARNING
Notable
→
148
Stopped by Ctrl+Z (SIGTSTP)
INFO
Common
→
152
CPU time limit exceeded (SIGXCPU)
ERROR
Critical
→
153
File size limit exceeded (SIGXFSZ)
ERROR
Critical
→
255
Exit status out of range / fatal error
ERROR
Notable
→
set -e
Unexpected exit from set -e (errexit)
ERROR
Notable
→
pipefail
Pipeline failed (set -o pipefail)
ERROR
Notable
→
trap ERR
ERR trap — command failed
ERROR
Notable
→
trap EXIT
EXIT trap — cleanup on script exit
INFO
Common
→
ulimit
Resource limit exceeded
ERROR
Critical
→
subshell
Subshell or command substitution exit code
INFO
Common
→